"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var mobx_react_1 = require("mobx-react");
var react_1 = tslib_1.__importStar(require("react"));
var context_1 = require("../../store/context");
function Loading() {
    var store = react_1.useContext(context_1.TableContext);
    var loadingComponent = store.props.loadingComponent ? store.props.loadingComponent(store.isLoading) : 'Loading...';
    return (react_1.default.createElement("tr", { className: "url_table__progress" },
        react_1.default.createElement("td", { colSpan: store.fields.length }, loadingComponent)));
}
exports.default = mobx_react_1.observer(Loading);
//# sourceMappingURL=loading.js.map