"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var get_1 = tslib_1.__importDefault(require("lodash/get"));
var mobx_react_1 = require("mobx-react");
var react_1 = tslib_1.__importStar(require("react"));
var context_1 = require("../../store/context");
var loading_1 = tslib_1.__importDefault(require("./loading"));
var no_data_1 = tslib_1.__importDefault(require("./no-data"));
var row_1 = tslib_1.__importDefault(require("./row"));
function Tbody(props) {
    var store = react_1.useContext(context_1.TableContext);
    return (react_1.default.createElement("tbody", null,
        !store.isLoading && !store.displayData.data.length && react_1.default.createElement(no_data_1.default, null),
        store.isLoading ? react_1.default.createElement(loading_1.default, null) :
            store.displayData.data.map(function (record) { return react_1.default.createElement(row_1.default, { key: get_1.default(record, store.props.indexField), record: record }); })));
}
exports.default = mobx_react_1.observer(Tbody);
//# sourceMappingURL=tbody.js.map