/// <reference types="react" />
import { ITableProps, SortingModes } from "./@typings/types";
declare function UrlTable(props: ITableProps): JSX.Element;
declare namespace UrlTable {
    var defaultProps: {
        data: never[];
        editable: boolean;
        fields: never[];
        headers: never[];
        pagination: {
            marginPagesDisplayed: number;
            pageRangeDisplayed: number;
            pageSize: number;
        };
        search: boolean;
        selectMode: boolean;
        showSortingPanel: boolean;
        sorting: SortingModes;
    };
}
export default UrlTable;
