"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function paginate(array, page_size, page_number) {
    return array.slice(page_number * page_size, (page_number + 1) * page_size);
}
exports.paginate = paginate;
function calculatePageCount(array, paginationOptions) {
    if (!paginationOptions) {
        return 1;
    }
    return paginationOptions.pageCount ||
        paginationOptions.pageSize && Math.round(array.length / paginationOptions.pageSize) || 1;
}
exports.calculatePageCount = calculatePageCount;
//# sourceMappingURL=pagination.js.map