"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var get_1 = tslib_1.__importDefault(require("lodash/get"));
var FieldModel = (function () {
    function FieldModel(props, index) {
        this.index = index;
        if (typeof props === 'string') {
            this.property = props;
        }
        else {
            this.property = props.property;
            this.renderHandler = props.render;
        }
        return this;
    }
    FieldModel.prototype.render = function (object) {
        var value = get_1.default(object, this.property);
        return this.renderHandler ? this.renderHandler(value, object) : value;
    };
    return FieldModel;
}());
exports.default = FieldModel;
//# sourceMappingURL=field.js.map